chrome.runtime.onInstalled.addListener (function (details) {
	if (details.reason === 'install') {
		chrome.tabs.create ({
			url: 'https://en.wikipedia.org/',
			active: true
		});
	}
});

chrome.runtime.onMessage.addListener (function (message) {
	switch (message.frameEvent) {
		case 'DOMContentLoaded': {
			chrome.runtime.sendMessage ({ mainEvent: 'DOMContentLoaded' });
			console.log ('main.js: DOMContentLoaded');
			break;
		}

		case 'pageshow': {
			chrome.runtime.sendMessage ({ mainEvent: 'pageshow' });
			console.log ('main.js: pageshow');
			break;
		}

		case 'load': {
			chrome.runtime.sendMessage ({ mainEvent: 'load' });
			console.log ('main.js: load');
			break;
		}

		case 'unload': {
			chrome.runtime.sendMessage ({ mainEvent: 'unload' });
			console.log ('main.js: unload');
			break;
		}
	}
});
